> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Bulk Delete Events v1

DELETE https://integrators.prod.api.tabsplatform.com/v3/events/bulk
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/events/deleteEventsBulk

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/events/bulk:
    delete:
      operationId: integrators-api-events-controller-delete-events-bulk
      summary: Bulk Delete Events v1
      tags:
        - events
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: All events deleted successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Events_IntegratorsApiEventsController_deleteEventsBulk_Response_200
        '400':
          description: Bad request - invalid event IDs or other validation errors
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: One or more events not found - no events will be deleted
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IntegratorsApiEventsController_deleteEventsBulkRequestNotFoundError
        '500':
          description: Internal server error - transaction failed
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        description: Array of event IDs to delete
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    Events_IntegratorsApiEventsController_deleteEventsBulk_Response_200:
      type: object
      properties:
        status:
          type: number
          format: double
      title: Events_IntegratorsApiEventsController_deleteEventsBulk_Response_200
    IntegratorsApiEventsController_deleteEventsBulkRequestNotFoundError:
      type: object
      properties:
        statusCode:
          type: number
          format: double
        message:
          type: string
      title: IntegratorsApiEventsController_deleteEventsBulkRequestNotFoundError
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
[
  "event-id-1",
  "event-id-2",
  "event-id-3"
]
```

**Response**

```json
{
  "status": 200
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/events/bulk"

payload = ["event-id-1", "event-id-2", "event-id-3"]
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/events/bulk';
const options = {
  method: 'DELETE',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '["event-id-1","event-id-2","event-id-3"]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/events/bulk"

	payload := strings.NewReader("[\n  \"event-id-1\",\n  \"event-id-2\",\n  \"event-id-3\"\n]")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/events/bulk")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  \"event-id-1\",\n  \"event-id-2\",\n  \"event-id-3\"\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://integrators.prod.api.tabsplatform.com/v3/events/bulk")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  \"event-id-1\",\n  \"event-id-2\",\n  \"event-id-3\"\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://integrators.prod.api.tabsplatform.com/v3/events/bulk', [
  'body' => '[
  "event-id-1",
  "event-id-2",
  "event-id-3"
]',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/events/bulk");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  \"event-id-1\",\n  \"event-id-2\",\n  \"event-id-3\"\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["event-id-1", "event-id-2", "event-id-3"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/events/bulk")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```